Skip to main content
GET
/
social_accounts
List Social Accounts
curl --request GET \
  --url https://{defaultHost}/social_accounts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/social_accounts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/social_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "platform": "x",
      "username": "<string>",
      "name": "<string>",
      "url": "<string>",
      "profile_picture_url": "<string>",
      "verified": true,
      "external_id": "<string>",
      "scopes": [
        "<string>"
      ]
    }
  ],
  "page_info": {
    "has_next_page": true,
    "end_cursor": "<string>",
    "has_previous_page": true,
    "start_cursor": "<string>"
  }
}
{
"error": {
"type": "<string>",
"message": "<string>"
}
}
{
"error": {
"type": "<string>",
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

An account API key, account scoped JWT, app API key, or user OAuth token.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-07-08-1"

Query Parameters

account_id
string

The Account that the social accounts are connected to. Provide either this or user_id.

user_id
string

The User that the social accounts are connected to. Provide either this or account_id.

platform
enum<string>

Only return social accounts for the platform that is specified.

Available options:
x,
instagram,
youtube,
tiktok,
facebook
verified
boolean

Only return social accounts that are verified on the platform.

scopes
enum<string>[]

Only return social accounts that have these scopes.

Available options:
advertise
first
integer
default:20

The number of social accounts to return.

Required range: x <= 100
after
string

Cursor to fetch the page after (from page_info.end_cursor).

last
integer

The number of social accounts to return from the end of the range.

Required range: x <= 100
before
string

Cursor to fetch the page before (from page_info.start_cursor).

order
enum<string>
default:display_order

The field to sort social accounts by.

Available options:
display_order,
created_at
direction
enum<string>
default:asc

Sort direction.

Available options:
asc,
desc

Response

filtered to accounts holding the requested scope

data
object[]
required
page_info
object
required